<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_ConvertFromUNICOS.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">fwAccessControl/fwAccessControl_ConvertFromUNICOS.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>UNICOS Access Control conversion panel</p>
<p>    
        <p> This panel is used to convert the access control from the UNICOS to the Framework 
    	    Access Control model.<br>
    	    The panel is presented in Figure 1.
    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_ConvertFromUNICOS.png"></td></tr>
<tr><td><span class="caption">Figure 1: UNICOS Conversion panel</span></td></tr>
</table></div>
	</p>
	
				<p> The UNICOS-mode of the access control has limitations, 
				    introduced because of some historical PVSS limitations.
				    In the UNICOS mode, there is a fixed number of eight domains,
				    with fixed number of four privileges per domain. Privileges
				    in each domain have the same names.
				</p>
				<p> In the new framework implementation of the Access Control Component
				    these limitations does not exist anymore: an arbitrary number of
				    domains can be created, and the privilege names may be different
				    for each domain. Still, the number of privileges per domain is currently
				    limited to eight, but may be expanded (up to 20), yet we believe the
				    same may be achieved by splitting a complicated domain with multiple
				    privileges to a few smaller domains with fewer privileges.
				</p>
				<p> The way the information about domains and privileges is stored in PVSS
				    differs between UNICOS and Framework scheme. From technical point of view,
				    in the UNICOS scheme all domains and privileges are mapped linearly to the 32
				    PVSS system privileges. This also mean that the first domain coincided with
				    PVSS privileges 1 - 4, which have a special meaning. The information about
				    the names of domains and privileges in stored in a dedicated data point 
				    of _FwAccessControl type.
				</p>
				<p>In the Framework mode, (as of current implementation), the whole information
				    is stored in PVSS internal data points, so that there is no need for
				    _FwAccessControl-typed data point. 
				    In the Framework mode, the domains are mapped to PVSS areas. There is also a
				    "system" domain, which refers to the PVSS "system privileges".
				</p>
				<p>
				    The conversion which is performed by this panel extracts the information about
				    the domains and privileges in UNICOS mode, then re-creates the domain
				    in the Framework mode and adjusts the privileges appropriately.
				    Then it deletes the _FwAccessControl-typed data point, and this way deactivates
				    the UNICOS-mode.
				</p>
				<p>
				    Before the conversion is performed, a backup information (in form of
				    an ASCII-Manager export file) is created in dplist/UNICOSAccessCtrl.dpl
				    file. It may be used as a "rescue" if the conversion process failed.
				</p>


	
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To convert the project from UNICOS to Framework scheme:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
    	<ul>
	<li> Click the <span class="button">Proceed</span> button to perform conversion</li>
	<li> Once the conversion was performed, restart the project</li>
	<li> Verify that the access control mechanism still works correctly</li>
	</ul>
    </dd>
</dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul>
<li xmlns:html="http://www.w3.org/1999/xhtml">The conversion may only be used if UNICOS access control is active, otherwise
		an error will be reported
    </li>
<li xmlns:html="http://www.w3.org/1999/xhtml"> To perform the conversion, the "System Administration" access rightis required.
    </li>
</ul></td>
</tr>
</tbody></table>
<br>

<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
